/*  This file is part of the KDE project
    Copyright (C) 2007 Matthias Kretz <kretz@kde.org>

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) version 3.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to
    the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
    Boston, MA 02110-1301, USA.

*/

#ifndef PROXYBACKEND_VIDEOWIDGET_H
#define PROXYBACKEND_VIDEOWIDGET_H

#include <Phonon/VideoWidget>
#include <Phonon/VideoWidgetInterface>

namespace Phonon
{
namespace Proxy
{

class VideoWidget : public QWidget, public Phonon::VideoWidgetInterface, public ProxyObject
{
    Q_OBJECT
    Q_INTERFACES(Phonon::VideoWidgetInterface)
    public:
        VideoWidget(QWidget *parent = 0);
        ~VideoWidget();
        QObject *qObject() { return this; }

        Phonon::VideoWidget::AspectRatio aspectRatio() const;
        void setAspectRatio(Phonon::VideoWidget::AspectRatio aspectRatio);
        Phonon::VideoWidget::ScaleMode scaleMode() const;
        void setScaleMode(Phonon::VideoWidget::ScaleMode mode);

        QWidget *widget() { return this; }

        qreal brightness() const;
        void  setBrightness(qreal);

        qreal contrast() const;
        void  setContrast(qreal);

        qreal hue() const;
        void  setHue(qreal);

        qreal saturation() const;
        void  setSaturation(qreal);

    protected:
        virtual QSize sizeHint() const { return m_sizeHint; }

    private:
        QSize m_sizeHint;
};

}} //namespace Phonon::Proxy

#endif // PROXYBACKEND_VIDEOWIDGET_H
